List life insurance policies
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/life-insurance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/cases/{case_id}/life-insurance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/cases/{case_id}/life-insurance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01K9LI01AJ0T11HRYE78AN7LLL",
"case_id": "<string>",
"policy_type": "whole_life",
"carrier_name": "Northwestern Mutual",
"policy_number": "***1234",
"status": "active",
"death_benefit": 250000,
"cash_value": 45000,
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_irrevocable": true
}
],
"employer_name": "<string>",
"claim_filed_date": "2023-12-25",
"claim_paid_date": "2023-12-25",
"claim_paid_amount": 123,
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}{
"error": {
"code": "forbidden",
"message": "You do not have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}Life Insurance
List life insurance policies
List all life insurance policies discovered for a case, including term, whole, universal, group, and government policies.
GET
/
cases
/
{case_id}
/
life-insurance
List life insurance policies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Available options:
term_life, whole_life, universal_life, variable_life, group_employer, group_government, supplemental, accidental_death, annuity_with_death_benefit Available options:
not_filed, filed, under_review, approved, paid, denied ⌘I

